Name:           python-btrfs
Version:        0.3
Release:        1%{?dist}
Summary:        Python module to inspect btrfs filesystems

License:        GPLv2
URL:            https://github.com/knorrie/python-btrfs
Source0:        https://github.com/knorrie/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python3-devel

%description
The primary goal of this module is to be able to inspect the internals of an
existing filesystem for educational purposes.

The python module acts as a wrapper around the low level kernel calls and btrfs
data structures, presenting them as python objects with interesting attributes
and references to other objects.

%package -n python2-btrfs
Summary:        Python module to inspect btrfs filesystems
%{?python_provide:%python_provide python2-btrfs}

%description -n python2-btrfs
The primary goal of this module is to be able to inspect the internals of an
existing filesystem for educational purposes.

The python module acts as a wrapper around the low level kernel calls and btrfs
data structures, presenting them as python objects with interesting attributes
and references to other objects.

%package -n python3-btrfs
Summary:        Python module to inspect btrfs filesystems
%{?python_provide:%python_provide python3-btrfs}

%description -n python3-btrfs
The primary goal of this module is to be able to inspect the internals of an
existing filesystem for educational purposes.

The python module acts as a wrapper around the low level kernel calls and btrfs
data structures, presenting them as python objects with interesting attributes
and references to other objects.

%prep
%autosetup
# Remove dangling symlink
rm -f examples/btrfs
# Don't pull additional dependencies in doc
find examples -type f -print0 | xargs -0 chmod 644

%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files -n python2-btrfs
%doc CHANGES README.md TODO.md
%doc examples
%license COPYING
%{python2_sitelib}/btrfs
%{python2_sitelib}/btrfs-%{version}-py*.egg-info

%files -n python3-btrfs
%doc CHANGES README.md TODO.md
%doc examples
%license COPYING
%{python3_sitelib}/btrfs
%{python3_sitelib}/btrfs-%{version}-py*.egg-info


%changelog
* Wed Nov 16 2016 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.3-1
- Version 0.3

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jul 13 2016 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.2.1-2
- Remove doc subpackage

* Wed Jul 13 2016 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.2.1-1
- Initial package
